# GimpUi.ProcedureDialog.fill_box_list

    @accepts(GimpUi.ProcedureDialog, unicode, [unicode])
    @returns(Gtk.Widget)
    def fill_box_list(self, container_id, properties):
        # Python wrapper for gimp_procedure_dialog_fill_box_list()

Creates and populates a new Gtk.Box with widgets corresponding to every listed properties. If the list is empty, the created box will be filled by the whole list of properties of the associated Gimp.Procedure, in the defined order. This is similar of how GimpUi.ProcedureDialog.fill_list works except that it creates a new widget which is not inside self itself.

The container_id must be a unique ID which is neither the name of a property of the Gimp.ProcedureConfig associated to self, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside self itself.

self

  the GimpUi.ProcedureDialog.

container_id

  a container identifier.

properties

  the list of property names.

Returns